Subject: bug#34992: 26.1; message-send-mail-with-mailclient mangles MIME messages

From: Richard Stallman <[email-masked]>
Date: Tue, 26 Mar 2019 11:44:17 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > One possibility would be for message-mode to refuse to add attachments
  > when message-send-mail-function is set up to use the system mail
  > client.  The user should be told to attach using the mail client
  > facilities instead.

That would be very inconvenient.

It might also be impossible to do that.  When Emacs uses the system
mail client, doesn't it normally run that client in a noninteractive
way?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)